//@ts-check
"use strict";

/**
 * @typedef Camera
 * @type {object}
 * @property {PIXI.IPoint} pos - Camera position in world coordinates
 */

/** @returns {Camera} */
function createCamera() {
  return { pos: new PIXI.Point(0, 0) };
}

/** @param {number} dt */
function updateCamera(dt) {
  // const t = inGame.hud.isCrafting ? 0.5 : 8 * dt;
  const t = 8 * dt;
  inGame.camera.pos = lerpxy(inGame.camera.pos, inGame.baxton.pos, t);

  inGame.pixiWorldContainer.position.set(
    -inGame.camera.pos.x * tileSize + gameWidth / 2,
    -inGame.camera.pos.y * tileSize + gameHeight / 2
  );
}
